"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DailyRotateFile = require("winston-daily-rotate-file");
class FileTransport {
    static create() {
        return new DailyRotateFile({
            dirname: 'logs',
            filename: 'log-%DATE%.log',
            datePattern: 'YYYY-MM-DD-HH',
            zippedArchive: true,
            maxSize: '20m',
            maxFiles: '14d',
        });
    }
}
exports.default = FileTransport;
